Subject: bug#7073: no pthread_spinlock_t on Mac OS 10.6.4

From: Paul Eggert <[email-masked]>
Date: Tue, 21 Sep 2010 22:33:42 -0700

On 09/21/2010 10:11 PM, Gary V. Vaughan wrote:

> But the patch causes a bizarre and apparently unrelated compilation
> error:
> 
>   ; make V=1
>   gcc -std=gnu99  -I. -I../lib      -g -O2 -MT sigprocmask.o -MD -MP -MF .deps/sigprocmask.Tpo -c -o sigprocmask.o ../lib/sigprocmask.c
>   ../lib/sigprocmask.c:87: error: expected identifier or '(' before 'const'

I don't see how the patch could do that, unless sigprocmask.c
includes pthread.h somehow.  Can you verify whether that happens,
by using gcc -E?  If so, which file is the immediate includer
of pthread.h?  And if not, what's the difference beween
the output of gcc -E sigprocmask.c, with and without the patch?

Also, could you please try the simpler patch here instead?

http://lists.gnu.org/archive/html/bug-coreutils/2010-09/msg00080.html